Skip to main content
PATCH
cURL
Use customization_config.factor_exposure_bounds to constrain factor exposure. See Optimizer factor bounds for accepted names, units, and the active reference, or Configure factor exposure bounds for account-update examples and the custom-factor upload format, which is in development.

Authorizations

X-Api-Key
string
header
required

Path Parameters

account_uuid
string<uuid>
required
client_uuid
string<uuid>
required
organization_uuid
string<uuid>
required

Body

external_id
string
tax_account_type
enum<string>
  • unknown - Unknown
  • taxable - Taxable
  • traditional_ira - Traditional IRA
  • roth_ira - Roth IRA
  • sep_ira - SEP IRA
  • simple_ira - SIMPLE IRA
  • inherited_ira - Inherited IRA
  • 401k - 401(k)
  • roth_401k - Roth 401(k)
  • 403b - 403(b)
  • roth_403b - Roth 403(b)
  • 457b - 457(b)
  • hsa - HSA
  • 529 - 529 plan
  • rrsp - RRSP
  • rrif - RRIF
  • tfsa - TFSA
  • fhsa - FHSA
  • resp - RESP
  • rdsp - RDSP
  • lira - LIRA
Available options:
unknown,
taxable,
traditional_ira,
roth_ira,
sep_ira,
simple_ira,
inherited_ira,
401k,
roth_401k,
403b,
roth_403b,
457b,
hsa,
529,
rrsp,
rrif,
tfsa,
fhsa,
resp,
rdsp,
lira
holdings
object

Serializer for updating holdings data.

metadata
any | null

Store arbitrary metadata about this account in a JSON field, but should not include PII information.

customization_config
object
portfolio_config_uuid
string<uuid> | null
write-only
portfolio_allocations
object[] | null
write-only
asset_class_settings
object[]
sleeve_path_overrides
object[]

Replaces the account's whole set of customizations of sleeves inside composites.

sleeve_holdings_caps
object[]

Replaces the account's whole set of its own holdings caps; a place with no row follows the model.

reporting_benchmark
object | null

Response

200 - application/json
uuid
string<uuid>
required
read-only
external_id
string
required

External identifier for the account

Maximum string length: 50
reporting_benchmark
object | null
required
holdings
object | null
required
tax_treatment
string
required
read-only
tlh_eligible
boolean
required
read-only
tlh_ineligibility_reason
string | null
required
read-only
created
string<date-time>
required
read-only
modified
string<date-time>
required
read-only
portfolio_allocations
object[] | null
required
read-only
portfolio_sleeve_uuid
string<uuid> | null
required
read-only
asset_class_settings
object[]
required
read-only
sleeve_path_overrides
object[]
required
read-only
sleeve_holdings_caps
object[]
required
read-only
legacy_assignments
object[]
required
read-only
wash_sale_lots
object[]
required
read-only
household_wash_sale_lots
object[]
required
read-only
aum
string<decimal> | null
required
read-only
Pattern: ^-?\d{0,18}(?:\.\d{0,2})?$
net_worth
string<decimal> | null
required
read-only
Pattern: ^-?\d{0,18}(?:\.\d{0,2})?$
holdings_risk_annualized_percentage
string<decimal> | null
required
read-only
Pattern: ^-?\d{0,2}(?:\.\d{0,10})?$
holdings_risk_model
object | null
required

The risk model behind holdings_risk_annualized_percentage: the organization's setting.

holdings_standard_deviation
object | null
required

Historical standard deviation of the current holdings, held at today's weights.

is_read_only
boolean
required
read-only
is_brokerage_backed
boolean
required
read-only
is_externally_owned
boolean
required
read-only
source_brokerage_connection_account_uuid
string<uuid> | null
required
read-only
source_brokerage_is_paper
boolean | null
required
read-only
source_brokerage_account_type
string | null
required
read-only
metadata
any | null

Store arbitrary metadata about this account in a JSON field, but should not include PII information.

tax_account_type
enum<string>
  • unknown - Unknown
  • taxable - Taxable
  • traditional_ira - Traditional IRA
  • roth_ira - Roth IRA
  • sep_ira - SEP IRA
  • simple_ira - SIMPLE IRA
  • inherited_ira - Inherited IRA
  • 401k - 401(k)
  • roth_401k - Roth 401(k)
  • 403b - 403(b)
  • roth_403b - Roth 403(b)
  • 457b - 457(b)
  • hsa - HSA
  • 529 - 529 plan
  • rrsp - RRSP
  • rrif - RRIF
  • tfsa - TFSA
  • fhsa - FHSA
  • resp - RESP
  • rdsp - RDSP
  • lira - LIRA
Available options:
unknown,
taxable,
traditional_ira,
roth_ira,
sep_ira,
simple_ira,
inherited_ira,
401k,
roth_401k,
403b,
roth_403b,
457b,
hsa,
529,
rrsp,
rrif,
tfsa,
fhsa,
resp,
rdsp,
lira
customization_config
object | null
portfolio_config
object | null